List Aggregated Indexing Errors

List Aggregated Indexing Errors

This method allows you to get an aggregated view of errors that occurred during an indexing.

The errors are aggregated into buckets by the type of error and what is the source of the error. For each bucket, the response contains a description of the error and how many errors and documents are aggregated into this bucket.

For details on indexing errors, refer to the method to Get an indexing error by its ID.

Request
URI
GET
https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/indexes/{index_id}/indexings/{indexing_id}/aggregated-errors
COPY
Path Parameters
string
knowledge_base_id
Required

knowledge_base_id

string
index_id
Required

index_id

string
indexing_id
Required

indexing_id

Query Parameters
string
after
Optional

after

string
before
Optional

before

integer
limit
Optional
Constraints: exclusiveMinimum: 0 exclusiveMaximum: 1000 default: 100

limit

integer
offset
Optional
Constraints: minimum: 0 maximum: 4294967296 default: 0

offset

string
order
Optional
Constraints: default: asc

order

Possible values are : asc, desc,
boolean
set_num_objects
Optional
Constraints: default: false

set_num_objects

boolean
has_data_source
Optional

has_data_source

code
Optional

code

source
Optional

source


Authentication
This operation uses the following authentication methods.
Responses
200

Successful Response

Returns AggregatedIndexingErrorsList of type(s) application/json
"AggregatedIndexingErrorsList Object"
string
object
Optional
Constraints: default: list

Object type, which is always list.

boolean
has_more
Optional

True, if the server may have more objects than returned in the response.

integer
num_objects
Required

Total number of objects that match the request. Note that this field is populated only if requested by the user (see set_num_objects request parameter).

array of object
data
Required

List of aggregated indexing errors.

string As uuid As uuid
first_id
Required

ID of the first element in the list (if any)

string As uuid As uuid
last_id
Required

ID of the last element in the list (if any)


404

Invalid combination of knowledge base ID, index ID, indexing ID.

Operation doesn't return any data structure

410

An invalid ID was passed for paginating results.

Operation doesn't return any data structure

422

Validation Error

Returns HTTPValidationError of type(s) application/json
"HTTPValidationError Object"
array of object
detail
Optional

detail


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/indexes/{index_id}/indexings/{indexing_id}/aggregated-errors